%global modulename htmlparser2

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-htmlparser2
Version:        3.10.0
Release:        1%{?dist}
Summary:        Fast & forgiving HTML/XML/RSS parser

License:        MIT
URL:            https://github.com/fb55/htmlparser2#readme
Source0:        https://registry.npmjs.org/htmlparser2/-/htmlparser2-3.10.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(domelementtype) >= 1.3.0 with npmlib(domelementtype) < 2.0.0))
BuildRequires:  ((npmlib(domhandler) >= 2.3.0 with npmlib(domhandler) < 3.0.0))
BuildRequires:  ((npmlib(domutils) >= 1.5.1 with npmlib(domutils) < 2.0.0))
BuildRequires:  ((npmlib(entities) >= 1.1.1 with npmlib(entities) < 2.0.0))
BuildRequires:  ((npmlib(inherits) >= 2.0.1 with npmlib(inherits) < 3.0.0))
BuildRequires:  ((npmlib(readable-stream) >= 3.0.6 with npmlib(readable-stream) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Fast & forgiving HTML/XML/RSS parser

%package 3.10.0
Summary:        Fast & forgiving HTML/XML/RSS parser


%description 3.10.0
Fast & forgiving HTML/XML/RSS parser

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 3.10.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 3.10.0-1
- Package automatically generated by npm2srpm
